View Issue Details

IDProjectCategoryView StatusLast Update
0002120SOGoWeb Mailpublic2014-04-03 11:37
Reporterthoren Assigned Toacloutier 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.0.2 
Fixed in Version2.2.3 
Summary0002120: SOGo webmail puts utf-8 characters in from field when accent is present
Description

Issue presents on version 2.0.2 builds :
@shiva 201210101614
@shiva 201211151529
@shiva 201210251124

I have this issue with SOGo webmail, from field looks like this when accent is present :

from: =?utf-8?q?THOMAS@sogo.mydomain.fr, _R=C3=A9nald?= <renald.thomas@mydomain.fr>

and when accent is removed, all is OK :
from: "THOMAS, Renald" <renald.thomas@mydomain.fr>

In all case is present :
content-type: text/plain; charset="utf-8"

Additional Information

Here part of my GNUstep/Defaults/.GNUstepDefaults
<key>SOGoMailDomain</key>
<string>mydomain.fr</string>
<key>SOGoMailingMechanism</key>
<string>smtp</string>

TagsNo tags attached.

Relationships

related to 0002267 resolvedacloutier Wrong UTF-8-coding of From in the header when comma is used 
related to 0002533 resolvedacloutier comma in name results in splitting addres when is utf-8 encoded 

Activities

ludovic

ludovic

2012-11-30 16:20

administrator   ~0005014

That's normal, headers MUST be 7-bit safe.

thoren

thoren

2012-12-06 04:04

reporter   ~0005042

OK so how can I correct it ?
I must change something in my LDAP and/or SOGO configuration ???

thoren

thoren

2012-12-06 07:34

reporter   ~0005043

Additionnal information about the bug :
The accents are unreadable by users.

What I see in the "from field" of my mail clients is :

  • without accent : "THOMAS, Renald" <renald.thomas@mydomain.fr>
  • with accent : "THOMAS@sogo.mydomain.f" <=?utf-8?q?THOMAS@sogo.mydomain.fr>

It's the "from field" displayed by mail clients : it's not coming from mail source or headers !

ludovic

ludovic

2014-03-28 15:59

administrator   ~0006808

Please try the upcoming nightly builds.

Issue History

Date Modified Username Field Change
2012-11-23 10:25 thoren New Issue
2012-11-30 16:20 ludovic Note Added: 0005014
2012-11-30 16:20 ludovic Status new => closed
2012-11-30 16:20 ludovic Resolution open => won't fix
2012-12-06 04:04 thoren Note Added: 0005042
2012-12-06 04:04 thoren Status closed => feedback
2012-12-06 04:04 thoren Resolution won't fix => reopened
2012-12-06 07:34 thoren Note Added: 0005043
2013-12-06 09:30 jraby Relationship added related to 0002267
2013-12-06 09:30 jraby Relationship added related to 0002533
2014-03-10 15:13 acloutier Assigned To => acloutier
2014-03-10 15:13 acloutier Status feedback => assigned
2014-03-28 15:59 ludovic Note Added: 0006808
2014-04-03 11:37 ludovic Status assigned => resolved
2014-04-03 11:37 ludovic Fixed in Version => 2.2.3
2014-04-03 11:37 ludovic Resolution reopened => fixed